Qtractor y wine

#1 por orion68 el 17/06/2013
Hola, me pasa una cosa extraña al intentar instalar Qtractor y es que me pide eliminar wine y playonlinux.

No entiendo que tiene que ver Qtractor con wine. Anteriormente lo he tenido instalado. No me atrevo a desinstalar wine ahora que consegui hacer correr warcraft en linux, supongo que lo reinstalara con otra version pero no lo se seguro.

Dejo una captura para que veais lo que me pide desinstalar.

Tengo los repositorios de kxstudio
Linux 3.2.0-45-generic-pae
Version de KDE 4.8.5
http://i81.servimg.com/u/f81/11/64/02/01/instan10.png
Subir
#2 por orion68 el 17/06/2013
Un poco mas de info, esto es lo que me sale en consola si intento instalar con apt-get

rubens@rubens-System-Product-Name:~$ sudo apt-get install qtractor
[sudo] password for rubens:
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
wine1.5-i386 : Depends: wine1.6-i386 but it is not going to be installed
wine1.6 : Depends: wine1.6-i386 (= 1.6~rc2-0ubuntu1~ppa1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
rubens@rubens-System-Product-Name:~$

Significa que debo instalar el paquete wine 1.6-i386 ?
He intentado instalar muse y me tira lo mismo
Subir
#3 por vagar el 17/06/2013
¿Has sincronizado previamente la lista de paquetes con el comando "sudo apt-get update"?

Ars longa, vita brevis.
Mi colección de enlaces web en diigo.

Subir
#4 por orion68 el 17/06/2013
:oops: No, no lo hice, ahora sí y me sigue tirando esto:

Fetched 161 kB in 8s (18.4 kB/s)
Reading package lists... Done
rubens@rubens-System-Product-Name:~$ sudo apt-get install qtractor
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
wine1.5-i386 : Depends: wine1.6-i386 but it is not going to be installed
wine1.6 : Depends: wine1.6-i386 (= 1.6~rc2-0ubuntu1~ppa1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
rubens@rubens-System-Product-Name:~$



No me atrevo a ejecutar apt-get -f install , no acabo de entender que hace -f

Gracias
Subir
#5 por vagar el 17/06/2013
Trata de instalar wine a ver qué te dice. Así a ojo parece que tienes algún conflicto de mezcla de repositorios.

Ars longa, vita brevis.
Mi colección de enlaces web en diigo.

Subir
#6 por orion68 el 17/06/2013
Bueno, tenía pendiente una actualización(no las tengo programadas) y no me deja actualizar el mismo paquete creo:

Paquete: /var/cache/apt/archives/wine1.6-i386_1.6~rc2-0ubuntu1~ppa1_i386.deb
Error: trying to overwrite '/usr/bin/wine', which is also in package wine1.6 1.6~rc2-0ubuntu1~ppa1

Ahora pruebo a reinstalar wine (pero que tiene esto que ver con qtractor?)
Subir
#7 por orion68 el 17/06/2013
Esto al intentar instalar wine
rubens@rubens-System-Product-Name:~$ sudo apt-get install wine
[sudo] password for rubens:
Reading package lists... Done
Building dependency tree
Reading state information... Done
wine is already the newest version.
wine set to manually installed.
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
wine1.5-i386 : Depends: wine1.6-i386 but it is not going to be installed
wine1.6 : Depends: wine1.6-i386 (= 1.6~rc2-0ubuntu1~ppa1) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
rubens@rubens-System-Product-Name:~$
Subir
#8 por orion68 el 18/06/2013
Bueno, pues seguramente era como decías un conflicto en los repositorios.

Desinstale wine y lo reinstale pero desactivado un repositorio de wine que tenía por ahí.

Se instalo correctamente el wine 1.4 y ya he podido actualizar el sistema e instalar Qtractor sin problemas.

Muchas gracias por la ayuda :birras:
Subir
#9 por vagar el 18/06/2013
Sí, el tema de combinar repositorios es siempre complicado porque se pueden romper los árboles de dependencias, que es lo que habrá pasado en tu caso. Al instalar wine 1.6 desde otro repo los paquetes del repositorio principal que dependían de 1.4 pueden dar problemas, así que el sistema de gestión de paquetes se queja.

Cada usuario debe encontrar su equilibrio entre innovación y estabilidad. Si quieres estar siempre a la última lo mejor es utilizar alguna distribución que siga una política de tipo rolling release, como Arch o Debian Sid, pero sabiendo que es mucho más probable que una actualización te pueda dejar el sistema inestable.

Ars longa, vita brevis.
Mi colección de enlaces web en diigo.

Subir
#10 por orion68 el 18/06/2013
Si, mi intención es de hace un tiempo quedarme en la versión LTS de Kubuntu, la 12.04 con los repos de kxstudio. Por el tema del Warcraft entre otras cosas añadí el repositorio extra de wine y ni me acordaba, ni tampoco era necesario.

No he conseguido entender que hubiese pasado al ejecutar apt-get install -f qtractor .. habría pasado por alto los problemas con wine?
Subir
#11 por vagar el 18/06/2013
No lo sé exactamente, no tengo tanta experiencia con apt. De acuerdo con el manual lo más probable es que hubiera seguido fallando, porque me da la impresión de que es más una opción para cuando la instalación de un paquete falla catastróficamente por algún bug, por ejemplo en los scripts de pre- o post-instalación, y deja la base de datos de dependencias en un estado inconsistente. Pero estoy especulando, no estoy seguro.

Lo mejor con este tipo de opciones es no usarlas a no ser que se entienda qué hacen o bajo el consejo de algún experto contrastado en la materia.

Ars longa, vita brevis.
Mi colección de enlaces web en diigo.

Subir
#12 por orion68 el 18/06/2013
Más de una vez me ha tocado reinstalar todo por experimentar pero me va tan bien todo ahora mismo que no más experimentos a lo loco :desdentado:

Gracias de nuevo igarrido
Subir
Respuesta rápida

Regístrate o para poder postear en este hilo